.HL 1 Terminal Driver Modifications.
.hl 2 General Description
.p
  The Computer Corporation of America RSX-11M V3.2A Full Duplex Terminal
Driver modifications allow increased flexability and functionality in the
use of a RSX system.
.p
  The driver modifications provide the following functions:
.list
.le RUBOUTS and CONTROL-R are echoed when echo is suppressed.  This 
is needed to support the TYMNET network.
.le BACKSPACE (CONTROL-H) and CONTROL-A are treated like RUBOUT.
.le The last character typed by the user is returned to the
unsolicited input ast routine. The unmodified driver returns the first
character in the typeahead
buffer.  This is needed for the execution abort function of COMET to
work properly.  If ESCAPE is not the first unsolicited character typed
the unmodified driver will not pass the ESCAPE character to the COMET
unsolicited input AST routine.
.le A new function IO.DIS (function code 3000) has been implemented.  This
function will hang up DZ-11 lines that are set as REMOTE.
.le REMOTE lines can be answered at speeds selected with the SET /SPEED
command.
.le An AST routine can be specified for ANSWER or HANGUP of REMOTE lines.
.endlist
.page
.p
  The driver changes require assembling the new driver modules,  taskbuilding the
driver, and using VMR to unload the old driver and load the new driver.
.p
  In order for the IO.DIS function code to work the driver database must 
be modidfied as well.  The driver database is located in the RSX-11M executive
module SYSTB.  SYSTB contains a word for each device specifying the legal
function codes.  The function code used for the IO.DIS function must be added
to the legal Terminal Driver functions.  The procedure for making these
changes requires
applying the correction file to the SYSTB module with SLP, reassembling the
module,  taskbuilding the executive and configuring the
system with VMR.
.page
.hl 2 Building the modified RSX system.
.p
The UIC [11,40] contains the distribution sources for several terminal driver
modules,  the correction files,  and command files used to modify the Terminal Driver.
.p
  If you have not patched your system disk with autopatch tape A and done a 
SYSGEN specifying the Full Duplex Terminal
Driver perform that SYSGEN now.  The Full Duplex Terminal Driver must be built as a loadable driver.
.page
.p
  The patching procedure for both the driver and SYSTB is shown
below:
.nf
@[11,40]SYSTTMOD
; Computer Corporation of America
; RSX-11M  V3.2A Full Duplex Terminal Driver Modifications.
;
; To enable the Terminal Driver Disconnect function your RSX-11M
; system must be rebuilt.
*Do you wish to enable the Disconnect function? [Y/N]:Y
; Your new system [1,54]RSX11M.SYS has been created.
; Now use VMR to set up your system configuration as shown below:
;
; >SET /UIC=[1,54]
; >VMR
; FILENAME: @SYSVMR
; VMR> ^Z
;
; End of Indirect command file
>SET /UIC=[1,54]
>VMR
ENTER FILENAME:  @SYSVMR
VMR> control-Z
.f
.p
  Boot and save your new system image with the write boot block option.
.f
.page
.p
  The patching procedure for the driver (without IO.DIS) is shown
below:
.nf
@[11,40]SYSTTMOD
; Computer Corporation of America
; RSX-11M  V3.2A Full Duplex Terminal Driver Modifications.
;
; To enable the Terminal Driver Disconnect function your RSX-11M
; system must be rebuilt.
*Do you wish to enable the Disconnect function? [Y/N]:N
; The modified terminal driver has been built.  To install the driver
; use VMR to unload and reload the driver as shown below.
;
; SET /UIC=[1,54]
; >VMR
; FILENAME: RSX11M
; VMR> UNL TT:
; VMR> LOA TT:
; VMR> ^Z
;
; End of Indirect command file
>SET /UIC=[1,54]
>VMR
ENTER FILENAME:  RSX11M
VMR> UNL TT:
VMR> LOA TT:
VMR> control-Z
.f
.p
  Note that these modifications apply only to the RSX-11M version 3.2 Full
Duplex Terminal Driver and assume that the driver is loadable.  The patches
on DEC's autopatch tape A are mandatory in order to
use these modifications.
.page
